gnutls_record_set_timeout(3)

NAME
gnutls_record_set_timeout - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_record_set_timeout(gnutls_session_t session, unsigned int ms);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int ms
    is a timeout value in milliseconds

DESCRIPTION
This function sets the receive timeout for the record layer to the provided value. Use an ms value of zero to disable timeout (the default).

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/